### Function

# Rsvg pixbuf_from_file_at_zoom_with_max

#### Declaration [src]

    GdkPixbuf*
    rsvg_pixbuf_from_file_at_zoom_with_max (
      const gchar* filename,
      double x_zoom,
      double y_zoom,
      gint max_width,
      gint max_height,
      GError** error
    )

#### Description [src]

Loads a new `GdkPixbuf` from `filename` and returns it. This pixbuf is scaled from the size indicated by the file by a factor of `x_zoom` and `y_zoom`. If the resulting pixbuf would be larger than max_width/max_heigh it is uniformly scaled down to fit in that rectangle. The caller must assume the reference to the returned pixbuf. If an error occurred, `error` is set and `NULL` is returned.

Deprecated since: | Unknown
Use `rsvg_handle_new_from_file()` and `rsvg_handle_render_document()` instead.

#### Parameters

`filename` | `const gchar*`
| A file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`x_zoom` | `double`
| The horizontal zoom factor.
`y_zoom` | `double`
| The vertical zoom factor.
`max_width` | `gint`
| The requested max width.
`max_height` | `gint`
| The requested max height.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbuf`
| A pixbuf, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.